function [ind]=npm(rrr,num,p,noise)
% noise perturbtion method
% [ind]=npm(rrr,num,p,noise)
% rrr is measured matrix, number is experimental times,  p is penalty parameter
% and noise is noise level.
% For examples [ind]=npm(rrr,20,1,0.001);
% Cheng-Jian Xu and Yi-Zeng Liang, Central South Univeristy, 5-23-02
% All rights reserved  
% Permission is granted for unlimited distribution for noncommercial use.

ind=zeros(num,10);
ind(1,:)=testnum(rrr,p);
for i=2:num
   rrrn=rrr+rand(size(rrr))*max(max(rrr))*noise;
   ind(i,:)=testnum(rrrn,1);
end
ind=ind';
